Subject: Bug#887: X2Go issue (in src:cups-x2go) has been marked as closed

From: X2Go Release Manager <[email-masked]>
Date: Fri, 19 Jun 2015 23:04:41 +0200 (CEST)

close #887
thanks

Hello,

we are very hopeful that X2Go issue #887 reported by you
has been resolved in the new release (3.0.1.3) of the
X2Go source project »src:cups-x2go«.

You can view the complete changelog entry of src:cups-x2go (3.0.1.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:cups-x2go.

    http://code.x2go.org/gitweb?p=cups-x2go.git;a=commitdiff;h=954a91687dc61bde64f1958ff05af1dc9c69dedd;hp=439db8b1b7ced6c90781c818428621f289dd1d06

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:cups-x2go.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:cups-x2go
Version: 3.0.1.3-0x2go1
Status: RELEASE
Date: Fri, 19 Jun 2015 23:02:53 +0200
Fixes: 887
Changes: 
 cups-x2go (3.0.1.3-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream version (3.0.1.3):
     - cups-x2go: import tempfile() function from File::Temp module.
     - cups-x2go: only repeat the last X, not the whole ".pdfX" string (or the
       like.)
     - cups-x2go: actually print "real" executed command instead of the
       "original" one with placeholders.
     - cups-x2go: read output from ghostscript, don't write a filehandle to the
       temporary file. Fixes a hanging ghostscript call and... well... random
       junk, instead of a "real" PDF file.
     - cups-x2go: use parentheses around function arguments.
     - cups-x2go: fix binmode() call, :raw layer is implicit.
     - cups-x2go: fix print call... Does not allow to separate parameters with
       a comma.
     - cups-x2go: add correct :raw layer to binmode calls.
     - cups-x2go: fix tiny typo.
     - cups-x2go: read data from GS and STDIN in chunks of 8 kbytes, instead of
       everything at once. Handles large print jobs gracefully.
     - cups-x2go: add parentheses to close() calls.
     - cups-x2go: delete PDF and title temporary files automatically.
     - cups-x2go: unlink PS temporary file on-demand in END block. Also move
       closelog to END block, because we want to print diagnosis messages in
       the END block.
     - cups-x2go: don't use unlink() explicitly. Trust File::Temp and our END
       block to clean up correctly.
     - cups-x2go: there is no continue in perl for stepping forward a loop.
       Still not. I keep forgetting that. Use next. (Partly) Fixes: #887.
     - cups-x2go: use the same temp file template for PS, PDF and title files.
       Use appropriate suffixes if necessary when generating PDF and title temp
       files. (Fully) Fixes: #887.
   * debian/control:
     - Add dependencies on perl-modules for core modules and ${perl:Depends}
       for perl itself.
     - Do not depend on perl-modules directly. ${perl:Depends} is already doing
       that implicitly. It depends on perl, which depends on perl-modules.
   * cups-x2go.spec:
     - Add proper dependencies on perl and File::Temp module. Hopefully pulls
       in perl-base with the core modules or the like...